import java.io.*;
import java.util.*;

public class TestsGen {
	static int testcount = 0;

	static Random random = new Random(36498732);
	
	static long MAXold = 1000000;
	static long MAX = 1000000000000000000l;

	static void write(long n) throws IOException {
		PrintWriter out = new PrintWriter(String.format("%02d", ++testcount));
		System.out.println("Generating test #" + testcount);
		out.println(n);
		out.close();
	}
	
	static void writeRand(long max) throws IOException {
		write(Math.abs(random.nextLong() % max));
	}

	public static void main(String[] args) throws IOException {
		while (new File(String.format("%02d.t", testcount + 1)).exists()) {
			testcount++;
		}
		write(1);
		int[] p = new int[10 - 1];
		for (int i = 2; i < p.length + 2; i++) {
			p[i - 2] = i;
		}
		for (int i = 1; i < p.length; i++) {
			int j = random.nextInt(i + 1);
			int t = p[i]; p[i] = p[j]; p[j] = t;
		}
		for (int i : p) {
			write(i);
		}
		write(100);
		write(1000);
		for (int i = 0; i < 10; i++) {
			writeRand(10000);
		}
		for (int i = 0; i < 10; i++) {
			writeRand(MAXold);
		}
		write(MAXold);
		write(MAXold - 1);
		for (int i = 0; i < 5; i++) {
			writeRand(1000000000);
		}
  	write(1000000000);
		for (int i = 0; i < 10; i++) {
			writeRand(MAX);
		}
		write(MAX);
		write(MAX - 1);
	}

}
